Summary: Convert filename encodings
Name: convmv
Version: 1.10
Release: 1.1AX

Group: Applications/System
License: GPL
URL: http://j3e.de/linux/convmv
Source: http://j3e.de/linux/convmv/convmv-%{version}.tar.gz
Patch1: convmv-change_test_result_order.patch
BuildRequires: /usr/bin/md5sum
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package contains the tool convmv with which you can convert the encodings
of filenames, e.g. from Latin1 to UTF-8.

%prep
%setup -q

%build
md5sum -c MD5sums
make

%check
tar xf testsuite.tar
patch -p1 < %{PATCH1}
make test

%install
rm -rf %{buildroot}
make PREFIX=%{_prefix} DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc CREDITS Changes GPL2 TODO
%{_bindir}/convmv
%{_mandir}/man*/*

%changelog
* Tue Apr 17 2007 Hua Jie <jiehua@redflag-linux.com> - 1.10-1.1AX
- modify test result's order

* Mon Jul 24 2006 Leon Ho <llch@redhat.com> - 1.10-1.el5
- version 1.10

* Wed Jul 19 2006 Leon Ho <llch@redhat.com> - 1.09-2.el5
- rebuilt for EL

* Fri Mar 10 2006 Nils Philippsen <nphilipp@redhat.com>
- version 1.09

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Jan 14 2005 Warren Togami <wtogami@redhat.com>
- remove testsuite.tar from doc

* Fri Jan 14 2005 Nils Philippsen <nphilipp@redhat.com>
- version 1.08

* Sat Feb 07 2004 Nils Philippsen <nphilipp@redhat.com>
- version 1.07
- initial build
